Single-channel creation only. Read/edit/test the returned id directly. Existing created:true retained. Input mapping refers to the single original input. No automatic mutation retries.
POST
/oneaster/v1/admin/channels身份验证
Authorizationstring必填使用登录取得的 native access_token(部分接口支持带对应权限的 PAT);身份要求:管理员。
Authorization: Bearer $ONEASTER_ACCESS_TOKEN
请求正文 · application/json
namestring必填keystring必填modelsstring必填groupstring必填base_urlstring,nulltagstring,nullremarkstring,nulltest_modelstring,nulltypeinteger必填weightintegerpriorityintegerauto_banintegeropenai_organizationstring,nullsettingobjectsettingsobjectJSON Schema
{
"type": "object",
"additionalProperties": false,
"required": [
"type",
"name",
"key",
"models",
"group"
],
"description": "Structured setting is accepted at creation for plugin bindings; native permissions apply.",
"properties": {
"name": {
"type": "string",
"writeOnly": false
},
"key": {
"type": "string",
"writeOnly": true
},
"models": {
"type": "string",
"writeOnly": false
},
"group": {
"type": "string",
"writeOnly": false
},
"base_url": {
"type": [
"string",
"null"
],
"writeOnly": false
},
"tag": {
"type": [
"string",
"null"
],
"writeOnly": false
},
"remark": {
"type": [
"string",
"null"
],
"writeOnly": false
},
"test_model": {
"type": [
"string",
"null"
],
"writeOnly": false
},
"type": {
"type": "integer"
},
"weight": {
"type": "integer"
},
"priority": {
"type": "integer"
},
"auto_ban": {
"type": "integer"
},
"openai_organization": {
"type": [
"string",
"null"
]
},
"setting": {
"type": "object",
"additionalProperties": false,
"properties": {
"pass_through_body_enabled": {
"type": "boolean"
},
"responses_websocket_enabled": {
"type": "boolean"
},
"task_plugin_key": {
"type": "string"
},
"task_extend_plugin_keys": {
"type": "array",
"maxItems": 512,
"uniqueItems": true,
"items": {
"type": "string"
}
}
}
},
"settings": {
"type": "object",
"additionalProperties": false,
"properties": {
"upstream_model_update_check_enabled": {
"type": "boolean"
},
"upstream_model_update_auto_sync_enabled": {
"type": "boolean"
}
}
}
}
}